#ifndef INCLUDED_snow_platform_native_input_sdl_ModValue
#define INCLUDED_snow_platform_native_input_sdl_ModValue

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS5(snow,platform,native,input,sdl,ModValue)
namespace snow{
namespace platform{
namespace native{
namespace input{
namespace sdl{


class HXCPP_CLASS_ATTRIBUTES  ModValue_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef ModValue_obj OBJ_;
		ModValue_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< ModValue_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~ModValue_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("ModValue"); }

		static int NONE;
		static int LSHIFT;
		static int RSHIFT;
		static int LCTRL;
		static int RCTRL;
		static int LALT;
		static int RALT;
		static int LMETA;
		static int RMETA;
		static int NUM;
		static int CAPS;
		static int MODE;
};

} // end namespace snow
} // end namespace platform
} // end namespace native
} // end namespace input
} // end namespace sdl

#endif /* INCLUDED_snow_platform_native_input_sdl_ModValue */ 
